function MC_mean_plot(node_number)
%Plot max min and mean for all patients of two different categories
%where 'dirnm1&2' enter the directories to process (in the directory there must exist the file 'dirnm_data.mat')
%where node_number the number of the node to be processed: 2-16

%enter the appropriate location
node_number = node_number - 1;
dirname = ['C:\MATLAB\work\MC\data'];
cd (dirname);
S2 = ['Controls_data'];
load(S2)
siz1 = size(AMP,3);
AMP2=AMP;
S2 = ['Multiscleros_data'];
load(S2)
siz2 = size(AMP,3);
%-------------------------------------------------
plst = 0;
strplst = num2str(plst);
plend = 900;
strplend = num2str(plend);
%-------------------------------------------------
plot([plst plend],[0 0],'k');
axis([plst plend -15 15]);
xlabel('Time','Fontsize',18);
ylabel('Amplitude','Fontsize',18);
node_number = node_number + 1;
if node_number<10
    stitle=['Node 0' char(48+node_number)];
    S1 = ['_0' char(48+node_number)];
else
    stitle=['Node 1' char(38+node_number)];
    S1 = ['_1' char(38+node_number)];
end
title(stitle,'Fontsize',18);
node_number = node_number - 1;
hold on;
pause(1);

%Check for missing data (a missing lead will have all 512 values equal to zero)
count1 = 0;
for i=1:siz1
    if any(AMP2(node_number,:,i))~=0
        count1 = count1 + 1;
        nor(count1) = i;
    end
end
count2 = 0;
for i=1:siz2
    if any(AMP(node_number,:,i))~=0
        count2 = count2 + 1;
        ocd(count2) = i;
    end
end

%BEGIN of loop for each patient
y = plst:2:plend;
for i=(plst/2+1):(plend/2+1)
  for j=1:count1
      temp(j) = AMP2(node_number,i,nor(j));
  end
  Mesos1(i-plst/2) = mean(temp);
  for j=1:count2
      temp(j) = AMP(node_number,i,ocd(j));
  end
  Mesos2(i-plst/2) = mean(temp);
end
      %plotting each subject with different color
      grid off;
      plot(y,Mesos1,'b','Linewidth',4);
      plot(y,Mesos2,'--r','Linewidth',4);
      %------------------------------------------
%-------------------------------
node_number = node_number + 1;

numstr = int2str(node_number);
if node_number<10  
    tmstr = ['Plot_node0' numstr '(' strplst '-' strplend ')'];
else
    tmstr = ['Plot_node' numstr '(' strplst '-' strplend ')'];
end
print('-f1', '-dbmpmono', '-r20', tmstr);
hold off;