function mean_plot(type,node_number)
%Plot max min and mean for all patients of two different categories
%where 'dirnm1&2' enter the directories to process (in the directory there must exist the file 'dirnm_data.mat')
%where node_number the number of the node to be processed: 2-16

global str1 str2;
%enter the appropriate location
node_number = node_number - 1;
dirname = ['C:\Matlab\work\Data\' type];
cd (dirname);
S2 = [str1 '_data'];
load(S2)
siz1 = size(AMP,3);
AMP2=AMP;
dirname = ['C:\Matlab\work\Data\' type];
cd (dirname);
S2 = [str2 '_data'];
load(S2)
siz2 = size(AMP,3);
%-------------------------------------------------
if strcmp(type,'Mean')==1
    plst = 140;
else
    if strcmp(type,'High')==1 | strcmp(type,'Low')==1
        plst = 0;
    else
        error('No such type available');
    end
end   
%--------------------------------------------------
plot([plst 1022],[0 0],'k');
axis([plst 1022 -30 30]);
xlabel('Time','Fontsize',12);
ylabel('Amplitude','Fontsize',12);
node_number = node_number + 1;
if node_number<10
    stitle=['Lead 0' char(48+node_number)];
    S1 = ['_0' char(48+node_number)];
else
    stitle=['Lead 1' char(38+node_number)];
    S1 = ['_1' char(38+node_number)];
end
title(stitle,'Fontsize',16);
node_number = node_number - 1;
hold on;
pause(1);

%Check for missing data (a missing lead will have all 512 values equal to zero)
count1 = 0;
for i=1:siz1
    if any(AMP2(node_number,:,i))~=0
        count1 = count1 + 1;
        nor(count1) = i;
    end
end
count2 = 0;
for i=1:siz2
    if any(AMP(node_number,:,i))~=0
        count2 = count2 + 1;
        ocd(count2) = i;
    end
end

%BEGIN of loop for each patient
y = plst:2:1022;
for i=(plst/2+1):512
  for j=1:count1
      temp(j) = AMP2(node_number,i,nor(j));
  end
  Mesos1(i-plst/2) = mean(temp);
  Meg1(i-plst/2) = max(temp);
  Elax1(i-plst/2) = min(temp);
  for j=1:count2
      temp(j) = AMP(node_number,i,ocd(j));
  end
  Mesos2(i-plst/2) = mean(temp);
  Meg2(i-plst/2) = max(temp);
  Elax2(i-plst/2) = min(temp);
end
      %plotting each subject with different color
      grid on;
      plot(y,Mesos1,'b');
      pause(1);
      plot(y,Meg1,'g-');
      plot(y,Elax1,'g-');
      pause(1);
      plot(y,Mesos2,'r');
      pause(1);
      plot(y,Meg2,'m-');
      plot(y,Elax2,'m-');
      %------------------------------------------
%-------------------------------
node_number = node_number + 1;
tem = ['C:\MATLAB\work\Graphics\' type];
cd (tem);
xxstr = [str1 '-' str2];
try
    mkdir(xxstr)
end
xxstr2 = [tem '\' xxstr];
cd(xxstr2);
numstr = int2str(node_number);
if node_number<10  
    tmstr = ['Plot-' type '_node0' numstr];
else
    tmstr = ['Plot-' type '_node' numstr];
end
print('-f1', '-dbmp', '-r100', tmstr);
hold off;